Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 644726 - <sci-biology/clustalx-2.1-r3 depends on deprecated Qt4
Summary: <sci-biology/clustalx-2.1-r3 depends on deprecated Qt4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Biology related packages
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: qt4-removal
  Show dependency tree
 
Reported: 2018-01-16 01:24 UTC by Andreas Sturmlechner
Modified: 2018-03-18 00:43 UTC (History)
0 users

See Also:
Package list:
sci-biology/clustalx-2.1-r3
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2018-01-16 01:24:36 UTC
Qt4 is dead and going away. To keep this package in tree, it will need to be ported to Qt5. Debian have apparently been able to do it with a patch, see url.
Comment 1 Larry the Git Cow gentoo-dev 2018-03-04 17:45:11 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b70f16fd40ba36b9f784cde36f35a55f1fde93ab

commit b70f16fd40ba36b9f784cde36f35a55f1fde93ab
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-03-04 16:03:15 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-03-04 17:29:39 +0000

    sci-biology/clustalx: Switch to Qt5
    
    Thanks to Debian.
    
    Bug: https://bugs.gentoo.org/644726
    Package-Manager: Portage-2.3.24, Repoman-2.3.6

 sci-biology/clustalx/clustalx-2.1-r3.ebuild       |  56 ++++
 sci-biology/clustalx/files/clustalx-2.1-qt5.patch | 295 ++++++++++++++++++++++
 2 files changed, 351 insertions(+)}
Comment 2 Stabilization helper bot gentoo-dev 2018-03-15 19:00:59 UTC
An automated check of this bug failed - the following atom is unknown:

sci-biology/clustalx-21.3-r3

Please verify the atom list.
Comment 3 Andreas Sturmlechner gentoo-dev 2018-03-15 19:02:00 UTC
Oh.
Comment 4 Stabilization helper bot gentoo-dev 2018-03-15 20:07:37 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 5 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-03-17 10:50:01 UTC
amd64 stable
Comment 6 Thomas Deutschmann gentoo-dev Security 2018-03-18 00:43:37 UTC
x86 stable, closing